Bug 81083 - [Chromium] REGRESSION(r110596) CCQuadCullerTest.verifyCullChildLinesUpTopLeft fails on Windows
Summary: [Chromium] REGRESSION(r110596) CCQuadCullerTest.verifyCullChildLinesUpTopLeft...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dana Jansens
URL:
Keywords:
Depends on:
Blocks: 80743
  Show dependency treegraph
 
Reported: 2012-03-13 23:56 PDT by Hajime Morrita
Modified: 2012-03-15 13:13 PDT (History)
6 users (show)

See Also:


Attachments
Patch (3.64 KB, patch)
2012-03-14 08:01 PDT, Dana Jansens
no flags Details | Formatted Diff | Diff
Patch (4.67 KB, patch)
2012-03-14 10:18 PDT, Dana Jansens
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hajime Morrita 2012-03-13 23:56:17 PDT
The unit test fails since http://trac.webkit.org/changeset/110596
http://chromegw.corp.google.com/i/chromium.webkit/builders/Webkit%20Win%20%28dbg%29%281%29/builds/10820

---
CCQuadCullerTest.verifyCullChildLinesUpTopLeft: 
Did not complete.
---
Comment 1 Hajime Morrita 2012-03-14 00:03:52 PDT
Marked as fails at http://trac.webkit.org/changeset/110666
Comment 2 Dana Jansens 2012-03-14 08:01:06 PDT
Created attachment 131847 [details]
Patch
Comment 3 Adrienne Walker 2012-03-14 09:34:12 PDT
Comment on attachment 131847 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=131847&action=review

> Source/WebKit/chromium/tests/CCQuadCullerTest.cpp:48
> +        m_stack.last().surface = 0;

Can you enforce that StackObject doesn't leave surface uninitialized so this doesn't happen again? Maybe add a default constructor that initializes to null and some other constructor that initializes to some other surface?
Comment 4 Dana Jansens 2012-03-14 10:18:37 PDT
(In reply to comment #3)
> (From update of attachment 131847 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=131847&action=review
> 
> > Source/WebKit/chromium/tests/CCQuadCullerTest.cpp:48
> > +        m_stack.last().surface = 0;
> 
> Can you enforce that StackObject doesn't leave surface uninitialized so this doesn't happen again? Maybe add a default constructor that initializes to null and some other constructor that initializes to some other surface?

Yup! Done.
Comment 5 Dana Jansens 2012-03-14 10:18:54 PDT
Created attachment 131874 [details]
Patch
Comment 6 Adrienne Walker 2012-03-14 10:20:16 PDT
Comment on attachment 131874 [details]
Patch

Thanks! R=me
Comment 7 WebKit Review Bot 2012-03-15 13:13:07 PDT
Comment on attachment 131874 [details]
Patch

Clearing flags on attachment: 131874

Committed r110878: <http://trac.webkit.org/changeset/110878>
Comment 8 WebKit Review Bot 2012-03-15 13:13:11 PDT
All reviewed patches have been landed.  Closing bug.